let requestPromise = require('request-promise-native');
const Global = require('./global');


async function navigateWebsite(idHotel, checkin, checkout, adultos, criancas) {

    try {

        let options = {
            uri: Global.CRAWLER_ENDPOINT + '/reservasonlinebrasil',
            qs: {
                idHotel: idHotel,
                checkin: checkin,
                checkout: checkout,
                adultos: adultos,
                criancas: criancas
            },
            json: true // Automatically parses the JSON string in the response
        };

        let response = await requestPromise.get(options);

        return Promise.resolve(response);

    } catch (err) {
        console.log("caiu aqui no erro");
        console.error(err.error);
        return Promise.reject(err.error);
    }

}


// navigateWebsite('0040', '23/04/2018', '26/04/2018', 2, 1).then(data => {
//     console.log(data)
// }).catch(error => {
//     console.log("caiu aqui");
//     console.log(error);
// });


module.exports = {search: navigateWebsite};

