



module.exports  = function(config){

    let util = {};

    util.buildUrlRedirect = function(conversationId, url, type) {

        let baseUrl = "";
        if (config.URL_FOR_BUILD_LINK){
            baseUrl = config.URL_FOR_BUILD_LINK;
        }else{
            baseUrl = config.INFOCHAT_DATA_SERVER;
        }

        return  baseUrl+"/redirect/" + conversationId + "?url=" + url + "&type=" + type
    };

    util.defineLanguage = function(language){

        if (language){

            language = language.toLowerCase();

            if (language.indexOf("en") >= 0){
                language = "en";
            }else if (language.indexOf("es") >= 0){
                language = "es";
            }else{
                language = "pt-br"
            }

        }else{
            language = "pt-br";
        }

        return language;
    }



    return util;

};
