


module.exports = function(config){

    let obj = {};

    obj.sendEmail = function (subject, content, to, replyTo) {
        obj.sendEmailNew(subject, content, to, replyTo);
    };


    obj.sendEmailNew = function (subject, content, to, replyTo) {

        const sgMail = require('@sendgrid/mail');
        sgMail.setApiKey(config.SENDGRID_API_KEY);
        const msg = {
            to: to.split(","),
            from: config.EMAIL_FROM,
            subject: subject,
            html: content,
            // bcc: "vinicius@solvus.com.br"
        };


        if (replyTo){
            msg.replyTo = replyTo;
        }

        sgMail.send(msg).then(() => {

            console.log("enviou o email com sucesso")
            //Celebrate
        })
            .catch(error => {


                console.log("deu erro", error);
                //Log friendly error
                console.error(error.toString());

                //Extract error msg
                const {message, code, response} = error;

                //Extract response msg
                const {headers, body} = response;
            });
    }

    return obj;

}


// obj.sendEmailNew("teste", '<h1>sucesso</h1>', "vinicus.pavei@gmail.com, vinicius_pavei@hotmail.com")


